{% extends 'base.html' %}

{% block header %}
<h1>{% block title %}Home{% endblock %}</h1>
{% endblock %}

{% block styles %}
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/feed.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/card.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/list.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/components/header.min.css">
{% endblock %}

{% block profile %}
{% if g.user %}
<div class="ui card">
    <div class="content">
      <div class="center aligned header"><a href="{{ url_for('user.get_user', id=g.user.id) }}" >{{ g.user.name.capitalize() }}</a></div>
      <div class="center aligned description">
        <p>{{ g.user.bio }}</p>
      </div>
    </div>
    <div class="extra content">
      <div class="center aligned author">
        <img class="ui avatar image" src="{{ g.user.profile_pic }}"> 
        Joined <span class="time"> {{ g.user.created_at }}</span>
      </div>
    </div>
</div>
{% endif %}
{% endblock %}

{% block content %}
  {% for post in posts %}
  <div class="ui feed">
      <div class="event">
        <div class="label">
          <img class="ui avatar image" src="{{ post.users.profile_pic }}">
        </div>
        <div class="content">
          <div class="summary">
            {% if g.user %}
            <a class="user"   href="{{ url_for('user.get_user', id=post.users.id) }}">
              @{{ post.users["name"].capitalize() }}
            </a>
            {% else %}
              <a class="user">
                @{{ post.users["name"].capitalize() }}
              </a>
            {% endif %} 
            <div class="date time">
              {{ post["created_at"] }}
            </div>
            <div class="extra text">
              {{ post["content"] }}
            </div>
            <div>
                {% if g.user.id == post["author_id"] %}
                  <a class="action" href="{{ url_for('tweet.update', id=post['id']) }}">Edit</a>
                {% endif %}
            </div>
          </div>
          {% if g.user %}
          <div class="meta">
            <a class="main" id="like" data-id="{{ post['id'] }}" >
              <i class="like icon main" style="color:red" ></i> <span> {{ post['likes'] }} Likes </span>
            </a>
            <a class="dis" data-id="{{ post['id'] }}" >
                <i class="thumbs down icon dis" style="color:blue"></i> <span> {{ post['dislikes'] }} Dislikes </span>
            </a>
          </div>
          {% endif %}
        </div>
      </div>
  </div>
  {% endfor %}
{% endblock %}

{% block sidebar %}
<div class="ui list">
    <h6 class="ui top attached header">Most liked...</h6>
    {%  for liked_post in liked %}
    <div class="item">
      <div class="content">
        <a class="header" >By {{ liked_post.users.name.capitalize() }}</a> 
        <div class="description">
          <b>for </b>
          {% if g.user %}
            <a href="{{ url_for('tweet.get_post_by_id', id=liked_post['id']) }}"><em>{{ liked_post.content[0:25] }}</em></a>
          {% else %}
          <em>{{ liked_post.content[0:25] }}</em>
          {% endif %}
          <b> with  {{ liked_post.likes }} likes </b>
        </div>
      </div>
    </div>
    {% endfor %}
 </div>
{% endblock %}
{% block script %}
<script src="{{ url_for('static', filename='js/post.js') }}"></script>
{% endblock %}